summaryrefslogtreecommitdiff
path: root/packages
diff options
context:
space:
mode:
authorKoen Kooi <koen@openembedded.org>2007-01-02 19:39:48 +0000
committerKoen Kooi <koen@openembedded.org>2007-01-02 19:39:48 +0000
commit26923fcad450090e65e0fca74a0532fbea3ae458 (patch)
treeec1017dd159196314b0c49e2e4586a5eb4b148f9 /packages
parent1c0f065147987103a23908fcdc954834df3dad5f (diff)
parent4cfc3d5ccd4cd3dc572958bdad127856be41cb2c (diff)
merge of '2cb5af15b69e039f3a37629ca3a637b05cae7138'
and '8571d11847894fe4e419cfb25c5ae5accc13e3aa'
Diffstat (limited to 'packages')
-rw-r--r--packages/ezx/opentapi/.mtn2git_empty0
-rw-r--r--packages/ezx/opentapi/opentapi.init82
-rw-r--r--packages/ezx/opentapi_svn.bb13
-rw-r--r--packages/jhead/jhead_2.6.0.bb5
-rw-r--r--packages/linux/linux-rp_2.6.19+git.bb7
-rw-r--r--packages/meta/openprotium-packages.bb2
-rw-r--r--packages/uboot/u-boot_1.1.6.bb35
7 files changed, 139 insertions, 5 deletions
diff --git a/packages/ezx/opentapi/.mtn2git_empty b/packages/ezx/opentapi/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/ezx/opentapi/.mtn2git_empty
diff --git a/packages/ezx/opentapi/opentapi.init b/packages/ezx/opentapi/opentapi.init
new file mode 100644
index 0000000000..6b78c1574c
--- /dev/null
+++ b/packages/ezx/opentapi/opentapi.init
@@ -0,0 +1,82 @@
+#! /bin/sh
+# -*- coding: utf-8 -*-
+# init.d script for opentapi
+
+set -e
+
+DAEMON=/usr/bin/opentapi
+NAME=opentapi
+PIDDIR=/var/run/opentapi
+PIDFILE=$PIDDIR/pid
+DESC="OpenTAPI server"
+
+test -x $DAEMON || exit 0
+
+# Source defaults file; edit that file to configure this script.
+ENABLED=1
+PARAMS=""
+if [ -e /etc/default/opentapi ]; then
+ . /etc/default/opentapis
+fi
+
+test "$ENABLED" != "0" || exit 0
+
+start_it_up()
+{
+ if [ ! -d $PIDDIR ]; then
+ mkdir -p $PIDDIR
+ fi
+ if [ -e $PIDFILE ]; then
+ PIDDIR=/proc/$(cat $PIDFILE)
+ if [ -d ${PIDDIR} -a "$(readlink -f ${PIDDIR}/exe)" = "${DAEMON}" ]; then
+ echo "$DESC already started; not starting."
+ else
+ echo "Removing stale PID file $PIDFILE."
+ rm -f $PIDFILE
+ fi
+ fi
+
+ echo -n "Starting $DESC: "
+ start-stop-daemon --start --quiet --pidfile $PIDFILE \
+ -exec $DAEMON -- --system $PARAMS
+ echo "$NAME."
+ if [ -d $EVENTDIR ]; then
+ run-parts --arg=start $EVENTDIR
+ fi
+}
+
+shut_it_down()
+{
+ if [ -d $EVENTDIR ]; then
+ run-parts --reverse --arg=stop $EVENTDIR
+ fi
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --stop --quiet --pidfile $PIDFILE
+
+ # We no longer include these arguments so that start-stop-daemon
+ # can do its job even given that we may have been upgraded.
+ # We rely on the pidfile being sanely managed
+ # --exec $DAEMON -- --system $PARAMS
+ echo "$NAME."
+ rm -f $PIDFILE
+}
+
+case "$1" in
+ start)
+ start_it_up
+ ;;
+ stop)
+ shut_it_down
+ ;;
+ restart|force-reload)
+ shut_it_down
+ sleep 1
+ start_it_up
+ ;;
+ *)
+ echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/packages/ezx/opentapi_svn.bb b/packages/ezx/opentapi_svn.bb
index e27aa68b97..a617f5b45b 100644
--- a/packages/ezx/opentapi_svn.bb
+++ b/packages/ezx/opentapi_svn.bb
@@ -3,12 +3,23 @@ LICENSE = "GPLv2"
PV = "0.0+svn${SRCDATE}"
-SRC_URI = "svn://svn.openezx.org/trunk/src/userspace/;module=opentapi;proto=http"
+SRC_URI = "svn://svn.openezx.org/trunk/src/userspace/;module=opentapi;proto=http \
+ file://opentapi.init \
+ "
+
+inherit update-rc.d
+
+INITSCRIPT_NAME = "opentapi"
+INITSCRIPT_PARAMS = "defaults"
+
S = "${WORKDIR}/${PN}"
do_install() {
install -d ${D}${bindir}
install -m 755 opentapi ${D}${bindir}
+
+ install -d ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/opentapi.init ${D}${sysconfdir}/init.d/opentapi
}
diff --git a/packages/jhead/jhead_2.6.0.bb b/packages/jhead/jhead_2.6.0.bb
index d37dc0c733..3779c1ec34 100644
--- a/packages/jhead/jhead_2.6.0.bb
+++ b/packages/jhead/jhead_2.6.0.bb
@@ -11,3 +11,8 @@ inherit autotools
do_configure() {
:
}
+
+do_install() {
+ install -d ${D}/bin
+ autotools_do_install
+}
diff --git a/packages/linux/linux-rp_2.6.19+git.bb b/packages/linux/linux-rp_2.6.19+git.bb
index 4620537aa1..3df216d616 100644
--- a/packages/linux/linux-rp_2.6.19+git.bb
+++ b/packages/linux/linux-rp_2.6.19+git.bb
@@ -15,9 +15,10 @@ DEFAULT_PREFERENCE = "-1"
# Patches submitted upstream are towards top of this list
# Hacks should clearly named and at the bottom
SRC_URI = "git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git;protocol=git;tag=v2.6.20-rc2 \
- http://opensource.wolfsonmicro.com/~lg/asoc/asoc-v0.12.4.patch;patch=1;status=merged \
+ http://opensource.wolfsonmicro.com/~lg/asoc/asoc-v0.13pre1.patch;patch=1;status=merged \
+ ${RPSRC}/asoc_13pre1_fix-r0.patch;patch=1 \
${RPSRC}/xscale_cache_workaround-r1.patch;patch=1;status=merged \
- ${RPSRC}/backlight_parameter_fix-r0.patch;patch=1;status=pending \
+ ${RPSRC}/backlight_parameter_fix-r1.patch;patch=1;status=pending \
${RPSRC}/hx2750_base-r28.patch;patch=1 \
${RPSRC}/hx2750_bl-r8.patch;patch=1 \
${RPSRC}/hx2750_pcmcia-r2.patch;patch=1 \
@@ -31,7 +32,7 @@ SRC_URI = "git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git;
${RPSRC}/pm_changes-r1.patch;patch=1 \
${RPSRC}/usb_add_epalloc-r3.patch;patch=1 \
${RPSRC}/usb_pxa27x_udc-r3.patch;patch=1 \
- ${DOSRC}/kexec-arm-r4.patch;patch=1 \
+ ${RPSRC}/kexec-arm-r4.patch;patch=1 \
${RPSRC}/locomo_kbd_tweak-r1.patch;patch=1 \
${RPSRC}/poodle_pm-r3.patch;patch=1 \
${RPSRC}/pxa27x_overlay-r5.patch;patch=1 \
diff --git a/packages/meta/openprotium-packages.bb b/packages/meta/openprotium-packages.bb
index 47f0cfe39f..9a1d928a77 100644
--- a/packages/meta/openprotium-packages.bb
+++ b/packages/meta/openprotium-packages.bb
@@ -36,6 +36,7 @@ ALLOW_EMPTY = "1"
# wpa-supplicant \
# bluez-utils-nodbus \
# libxml2 \
+# libdvb \
# madwifi-ng \
# motion \
# ftpd-topfield \
@@ -105,7 +106,6 @@ OPENPROTIUM_PACKAGES = "\
lcdproc \
less \
libao \
- libdvb \
libid3tag \
liblockfile \
libmad \
diff --git a/packages/uboot/u-boot_1.1.6.bb b/packages/uboot/u-boot_1.1.6.bb
new file mode 100644
index 0000000000..b45e86611b
--- /dev/null
+++ b/packages/uboot/u-boot_1.1.6.bb
@@ -0,0 +1,35 @@
+DESCRIPTION = "U-boot bootloader"
+PROVIDES = "virtual/bootloader"
+SECTION = "bootloader"
+PRIORITY = "optional"
+LICENSE = "GPL"
+
+PR = "r0"
+
+SRC_URI = "ftp://ftp.denx.de/pub/u-boot/u-boot-1.1.6.tar.bz2"
+
+EXTRA_OEMAKE = "CROSS_COMPILE=${TARGET_PREFIX}"
+
+UBOOT_MACHINE ?= "${MACHINE}_config"
+UBOOT_IMAGE = "u-boot-${MACHINE}-${PV}-${PR}.bin"
+
+PACKAGE_ARCH = "${MACHINE_ARCH}"
+
+do_compile () {
+ unset LDFLAGS
+ unset CFLAGS
+ unset CPPFLAGS
+ oe_runmake ${UBOOT_MACHINE}
+ oe_runmake all
+}
+
+do_stage() {
+ install -m755 tools/mkimage ${STAGING_BINDIR_NATIVE}
+}
+
+do_deploy () {
+ install -d ${DEPLOY_DIR_IMAGE}
+ install ${S}/u-boot.bin ${DEPLOY_DIR_IMAGE}/${UBOOT_IMAGE}
+}
+do_deploy[dirs] = "${S}"
+addtask deploy before do_build after do_compile